Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.provider
Class SGeographyItemProvider

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.emf.edit.provider.ItemProviderAdapter
              org.metaabm.provider.MetaABMItemProvider
                  org.metaabm.provider.IIDItemProvider
                      org.metaabm.provider.SNamedItemProvider
                          org.metaabm.provider.SAttributedItemProvider
                              org.metaabm.provider.SProjectionItemProvider
                                  org.metaabm.provider.SGeographyItemProvider

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal, org.eclipse.emf.common.util.ResourceLocator, org.eclipse.emf.edit.command.CreateChildCommand.Helper, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable, org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IItemColorProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITableItemColorProvider, org.eclipse.emf.edit.provider.ITableItemLabelProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider

    public class SGeographyItemProvider

extends SProjectionItemProvider
implements org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource, org.eclipse.emf.edit.provider.ITableItemLabelProvider, org.eclipse.emf.edit.provider.ITableItemColorProvider, org.eclipse.emf.edit.provider.IItemColorProvider

This is the item provider adapter for a `SGeography` object.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`org.eclipse.emf.edit.provider.ItemProviderAdapter.ChildrenStore, org.eclipse.emf.edit.provider.ItemProviderAdapter.ModifiableSingletonEList<E>, org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand, org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate`

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Field Summary

Fields inherited from class org.metaabm.provider.MetaABMItemProvider
`displayAttributeReferences`

Fields inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`adapterFactory, changeNotifier, childrenFeatures, childrenReferences, childrenStoreMap, itemPropertyDescriptors, targets, wrappers, wrappingNeeded`

Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`target`

Fields inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider
`GRAYED_OUT_COLOR`

Constructor Summary
`SGeographyItemProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)` This constructs an instance from a factory and a notifier.

Method Summary
`protected void` | `collectNewChildDescriptors(java.util.Collection<java.lang.Object> newChildDescriptors, java.lang.Object object)` This adds `CommandParameter`s describing the children that can be created under this object.
`java.lang.Object` | `getImage(java.lang.Object object)` This returns SGeography.gif.
`java.util.List<org.eclipse.emf.edit.provider.IItemPropertyDescriptor>` | `getPropertyDescriptors(java.lang.Object object)` This returns the property descriptors for the adapted class.
`java.lang.String` | `getText(java.lang.Object object)` This returns the label text for the adapted class.
`void` | `notifyChanged(org.eclipse.emf.common.notify.Notification notification)` This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`.

Methods inherited from class org.metaabm.provider.SProjectionItemProvider
`addOwnerPropertyDescriptor, createRemoveCommand, createSetCommand, isAttributesConsistent`

Methods inherited from class org.metaabm.provider.SAttributedItemProvider
`getChildFeature, getChildrenFeatures`

Methods inherited from class org.metaabm.provider.SNamedItemProvider
`addDescriptionPropertyDescriptor, addPluralLabelPropertyDescriptor, createAddCommand, createSetCommand, suggestID, suggestLabel`

Methods inherited from class org.metaabm.provider.IIDItemProvider
`addIDPropertyDescriptor, addLabelPropertyDescriptor, getResourceLocator, hasChildren`

Methods inherited from class org.metaabm.provider.MetaABMItemProvider
`getColumnImage, getColumnText, getCreateChildImage, ids, idsCaps, inputVals, isDisplayAttributeReferences, labels, providerFor, setDisplayAttributeReferences, texts`

Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`addListener, adjustWrapperIndex, adjustWrapperIndices, adjustWrapperIndices, createAddCommand, createChildParameter, createChildrenStore, createCommand, createCopyCommand, createCreateChildCommand, createCreateChildCommand, createCreateCopyCommand, createDragAndDropCommand, createInitializeCopyCommand, createItemPropertyDescriptor, createItemPropertyDescriptor, createMoveCommand, createMoveCommand, createRemoveCommand, createReplaceCommand, createReplaceCommand, createWrapper, crop, dispose, disposeWrapper, disposeWrappers, factorAddCommand, factorMoveCommand, factorRemoveCommand, fireNotifyChanged, getAdapterFactory, getBackground, getBackground, getBaseURL, getChildReference, getChildren, getChildrenReferences, getChildrenStore, getCreateChildDescription, getCreateChildResult, getCreateChildText, getCreateChildToolTipText, getEditableValue, getElements, getFeatureText, getFeatureValue, getFont, getFont, getForeground, getForeground, getImage, getNewChildDescriptors, getParent, getPropertyDescriptor, getPropertyValue, getReferenceValue, getResourceLocator, getRootAdapterFactory, getSetFeature, getSetFeatures, getString, getString, getString, getString, getString, getString, getString, getString, getTypeText, getTypeText, getUpdateableText, getWrappedValues, hasChildren, isAdapterForType, isEquivalentValue, isPropertySet, isValidValue, isWrappingNeeded, overlayImage, removeListener, resetPropertyValue, setPropertyValue, setTarget, shouldComposeCreationImage, shouldTranslate, unsetTarget, unwrap, unwrapCommandValues, updateChildren, wrap, wrapCommand`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.edit.provider.IEditingDomainItemProvider
`createCommand, getChildren, getNewChildDescriptors, getParent`

Methods inherited from interface org.eclipse.emf.edit.provider.ITreeItemContentProvider
`getChildren, getParent, hasChildren`

Methods inherited from interface org.eclipse.emf.edit.provider.IStructuredItemContentProvider
`getElements`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertySource
`getEditableValue, getPropertyDescriptor`

Methods inherited from interface org.eclipse.emf.edit.provider.ITableItemLabelProvider
`getColumnImage, getColumnText`

Methods inherited from interface org.eclipse.emf.edit.provider.ITableItemColorProvider
`getBackground, getForeground`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider
`getBackground, getForeground`

Constructor Detail

### SGeographyItemProvider

    public SGeographyItemProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)

  This constructs an instance from a factory and a notifier.

Method Detail

### getPropertyDescriptors

    public java.util.List<org.eclipse.emf.edit.provider.IItemPropertyDescriptor> getPropertyDescriptors(java.lang.Object object)

  This returns the property descriptors for the adapted class.

  Specified by:
    `getPropertyDescriptors` in interface `org.eclipse.emf.edit.provider.IItemPropertySource`
  Overrides:
    `getPropertyDescriptors` in class `SProjectionItemProvider`

### getImage

    public java.lang.Object getImage(java.lang.Object object)

  This returns SGeography.gif.

  Specified by:
    `getImage` in interface `org.eclipse.emf.edit.provider.IItemLabelProvider`
  Overrides:
    `getImage` in class `SProjectionItemProvider`

### getText

    public java.lang.String getText(java.lang.Object object)

  This returns the label text for the adapted class.

  Specified by:
    `getText` in interface `org.eclipse.emf.edit.provider.IItemLabelProvider`
  Overrides:
    `getText` in class `SProjectionItemProvider`

### notifyChanged

    public void notifyChanged(org.eclipse.emf.common.notify.Notification notification)

  This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`.

  Specified by:
    `notifyChanged` in interface `org.eclipse.emf.common.notify.Adapter`
  Overrides:
    `notifyChanged` in class `SProjectionItemProvider`

### collectNewChildDescriptors

    protected void collectNewChildDescriptors(java.util.Collection<java.lang.Object> newChildDescriptors,
                                              java.lang.Object object)

  This adds `CommandParameter`s describing the children that can be created under this object.

  Overrides:
    `collectNewChildDescriptors` in class `SProjectionItemProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD